const creditcard_settings = window.wc.wcSettings.getSetting('soopay-creditcard-checkout_data', {});
const creditcard_label = window.wp.htmlEntities.decodeEntities(creditcard_settings.title) || window.wp.i18n.__('Credit Card', 'woocommerce');

const generateCreditCardCheckoutElement = () => {
    const iconUrl = creditcard_settings.icon || '';
    const description = window.wp.htmlEntities.decodeEntities(creditcard_settings.description || 'Pay with Credit Card.');
    const icon = '<span class="payment_method_icons"><img id="payment_method_icons_creditcard" src="'+ iconUrl +'" alt="Credit Card"></span>';

    return window.wp.element.createElement('div', { dangerouslySetInnerHTML: { __html: icon }});
};

const CreditCard_Block_Gateway = {
    name: 'soopay-creditcard-checkout',
    label: creditcard_label,
    content: window.wp.element.createElement(generateCreditCardCheckoutElement),
    edit: window.wp.element.createElement(generateCreditCardCheckoutElement),
    canMakePayment: () => true,
    ariaLabel: creditcard_label,
    supports: {
        features: creditcard_settings.supports,
    },
};
window.wc.wcBlocksRegistry.registerPaymentMethod(CreditCard_Block_Gateway);
