const cryptocurrency_settings = window.wc.wcSettings.getSetting('soopay-cryptocurrency-checkout_data', {});
const cryptocurrency_label = window.wp.htmlEntities.decodeEntities(cryptocurrency_settings.title) || window.wp.i18n.__('Crypto Currency', 'woocommerce');

const generateCryptoCurrencyCheckoutElement = () => {
    const iconUrl = cryptocurrency_settings.icon || '';
    const description = window.wp.htmlEntities.decodeEntities(cryptocurrency_settings.description || 'Pay with Crypto Currency.');
    const icon = '<span class="payment_method_icons"><img id="payment_method_icons_cryptocurrency" src="'+ iconUrl +'" alt="Crypto Currency"></span>'

    return window.wp.element.createElement('div', { dangerouslySetInnerHTML: { __html: icon }});
};

const CryptoCurrency_Block_Gateway = {
    name: 'soopay-cryptocurrency-checkout',
    label: cryptocurrency_label,
    content: window.wp.element.createElement(generateCryptoCurrencyCheckoutElement),
    edit: window.wp.element.createElement(generateCryptoCurrencyCheckoutElement),
    canMakePayment: () => true,
    ariaLabel: cryptocurrency_label,
    supports: {
        features: cryptocurrency_settings.supports,
    },
};
window.wc.wcBlocksRegistry.registerPaymentMethod(CryptoCurrency_Block_Gateway);
