const paypal_settings = window.wc.wcSettings.getSetting('soopay-paypal_data', {});
const paypal_label = window.wp.htmlEntities.decodeEntities(paypal_settings.title) || window.wp.i18n.__('PayPal', 'woocommerce');

const generatePayPalElement = () => {
    const iconUrl = paypal_settings.icon || '';
    const description = window.wp.htmlEntities.decodeEntities(paypal_settings.description || 'Pay with PayPal.');
    const icon = '<span class="payment_method_icons"><img id="payment_method_icons_paypal" src="'+ iconUrl +'" alt="PayPal"></span>'

    return window.wp.element.createElement('div', { dangerouslySetInnerHTML: { __html: icon }});
};

const PayPal_Block_Gateway = {
    name: 'soopay-paypal',
    label: paypal_label,
    content: window.wp.element.createElement(generatePayPalElement),
    edit: window.wp.element.createElement(generatePayPalElement),
    canMakePayment: () => true,
    ariaLabel: paypal_label,
    supports: {
        features: paypal_settings.supports,
    },
};
window.wc.wcBlocksRegistry.registerPaymentMethod(PayPal_Block_Gateway);
