<?php

namespace Inc\Base;

class StripeCheckoutDescription extends BaseController
{
    public function stripe_description_fields($description , $payment_id)
    {
        if ('soopay-creditcard' !== $payment_id) {
            return $description;
        }
        ob_start();

        woocommerce_form_field('credit_card_number', [
            'type' => 'number' ,
            'label' => __('Card Number' , 'soopay-for-woocommerce'),
            'class' => ['form-row' , 'form-row-wide'] ,
            'required' => true ,
        ]);

        woocommerce_form_field('card_expiry_date' , [
            'type' => 'date',
            'label' => __('Expiry Date' , 'soopay-for-woocommerce'),
            'class' => ['form-row' , 'form-row-wide'],
            'required' => true ,
        ]);
        woocommerce_form_field('card_cvc' , [
            'type' => 'number',
            'label' => __('CVC' , 'soopay-for-woocommerce'),
            'class' => ['form-row' , 'form-row-wide'],
            'required' => true ,
        ]);

        $description .= ob_get_clean();
        return $description;
    }

    public function generateDescriptionFields()
    {
        //Generate description fields for Stripe Checkout
        add_filter('woocommerce_gateway_description', [$this , 'stripe_description_fields'] , 20, 2);
    }
}
