<?php

function wp_post_json($url, $jsonStr)
{
    $args = array(
        'body' => $jsonStr,
        'headers' => array(
            'Content-Type' => 'application/json; charset=utf-8',
            'Content-Length' => strlen($jsonStr),
        ),
        'timeout' => 30,
    );

    $response = wp_remote_post($url, $args);

    if (is_wp_error($response)) {
        $error_message = $response->get_error_message();
        return "Error: $error_message";
    }

    $response_body = wp_remote_retrieve_body($response);

    return $response_body;
}

function sanitize($data)
{
    return sanitize_text_field(wp_unslash($data));
}
