<?php

use Automattic\WooCommerce\Blocks\Payments\Integrations\AbstractPaymentMethodType;

final class WCCryptoCurrencyCheckoutPaymentBlock extends AbstractPaymentMethodType {

    private $gateway;
    protected $name = 'soopay-cryptocurrency-checkout';

    public function initialize() {
        $this->settings = get_option('woocommerce_soopay-cryptocurrency-checkout_settings', []);
        $this->gateway = new WCCryptoCurrencyCheckoutPayment();
    }

    public function is_active() {
        return $this->gateway->is_available();
    }

    public function get_payment_method_script_handles() {

        wp_register_script(
            'soopay_gateway-blocks-integration-cryptocurrency-checkout',
            SOOPAY_PLUGIN_URL . 'assets/js/soopay-cryptocurrency-checkout.js',
            [
                'wc-blocks-registry',
                'wc-settings',
                'wp-element',
                'wp-html-entities',
                'wp-i18n',
            ],
            null,
            true
        );
        if(function_exists('wp_set_script_translations')) {
            wp_set_script_translations('soopay_gateway-blocks-integration-cryptocurrency-checkout');
        }
        
        return ['soopay_gateway-blocks-integration-cryptocurrency-checkout'];
    }

    public function get_payment_method_data() {
        return [
            'title' => $this->gateway->title,
            'description' => 'Pay with Crypto Currency.',
            'icon' => $this->gateway->icon,
        ];
    }
}
