<?php

class WCCreditCardCheckoutPayment extends BasePayment
{
    public function __construct()
    {
        $this->id = 'soopay-creditcard-checkout';
        $this->has_fields = true;
        $this->icon = plugins_url('../assets/img/creditcard.svg', dirname(dirname(__FILE__)));
        $this->method_title = __('Soopay', 'soopay-for-woocommerce');
        $this->method_description = __('Soopay CreditCard Checkout Plugin for Woocommerce.', 'soopay-for-woocommerce');
        $this->title = __('Credit Card', 'soopay-for-woocommerce');
        $this->apiUrl = '/v1/checkout/pay';
        $this->successName = 'creditcard_checkout_success';
        add_action('woocommerce_api_creditcard_checkout_success', array($this, $this->successName));
        parent::__construct();
    }

    public function init_form_fields()
    {
        $this->form_fields = [
            'apiHost' => array(
                'title' => __('API host', "soopay-for-woocommerce"),
                'type' => 'text',
                'default' => __('https://api.soopay.io', 'soopay-for-woocommerce'),
                'desc_tip' => true,
                'description' => __('Soopay host', 'soopay-for-woocommerce'),
            ),

            'apiKey' => array(
                'title' => __('API key', 'soopay-for-woocommerce'),
                'type' => 'text',
                'default' => __('098f6bcd4621d373cade4e832627b4f6', 'soopay-for-woocommerce'),
                'desc_tip' => true,
                'description' => __('Soopay key', 'soopay-for-woocommerce'),
            ),
        ];
    }

    public function creditcard_checkout_success()
    {
        $this->base_success();
    }
}
